[V11.3 - Geupdated Februari 10, 2022]
1-2=Uitgebreide database om  2000+ Koppige programma’s te verwijderen.
2-2=Verbeterde Software gezondheid om  uninstallatie  achterblijvers te verwijderen
3-2=Verbeterde algoritme om software toestemming meer nauwkeurig te koppelen in Software gezondheid
4-3=De update faling opgelost in Discord, Irfanview, and WinZip
5-3=Plotselinge faling van het vinden van plugins in sommige versies van Firefox is opgelost
6-3=Alle bekende bugs zijn opgelost 

[V11.2 - Geupdated December 20, 2021]
1-1=Toegevoegde ondersteuning voor installatie en uninstallatie van Android apps via Windows Subsysteem voor android (WSA) op Windows 11.
2-1=Nieuwe ondersteuning geassocieerd met APK files van IObit Uninstaller voor makkelijker installatie met dubbele klik op APK files
3-2=Vebeterde algoritme voor meer nauwkeurige overblijvers detectie
4-2=Vebeterde overblijvers verwijderings proces om gebruikers in te lichten voor het verwijdering van belangrijke persoonlijke data
5-2=Geoptimalizeerde Install Monitor voor meer uitgebreide en nauwkeurige monitoring
6-2=Vergrote database om 300 meer koppige programma’s te verwijderen
7-1=Nieuw toegevoegde taal: Bulgarije
8-3=Alle bekende bugs opgelost

[V11.1 - Geupdated Oktober 18, 2021]
1-2=Enhanced leftover scanning algorithms to find and clean more leftovers
2-1=Software Health now supports disabling Firewall permissions
3-2=More customizable options for Software Health
4-1=Added support of customizing Infrequently Used Programs and Large Programs
5-2=Enlarged database to remove 500 more stubborn programs
6-1=Supported F5 refresh
7-1=New language added: Latvian
8-3=Fixed all known bugs

[V11.0 - Geupdated Augustus 25, 2021]
1-1=<a>Gloednieuwe Software Health</a> beheert software permissies, blokkeert pop-up notificaties, wist overbodige setup bestanden en verwijdert schadelijke software & browserextensies
2-2=<a>Krachtigere deïnstallatie-engine</a> verwijdert restbestanden nog completer dankzij geavanceerde scan- en opschoonalgoritmes
3-2=<a>Grondigere Installatie Monitor</a> registreert meer items (waaronder opstart items) die aangemaakt worden tijdens het installatieproces voor grondigere deïnstallatie in de toekomst
4-2=<a>50% grotere database</a> kan meer populaire software updaten, zoals AnyDesk, Calibre, Discord, LibreOffice en qBittorrent
5-2=<a>Unieke Hardnekkige Programma’s Verwijderen database</a> kan 1000+ hardnekkige programma’s verwijderen
6-2=<a>Versterkte Force Uninstall</a> verwijdert eenvoudig programma’s als de uninstall registries missen
7-1=<a>Nieuwe Windows Apps rating toegevoegd</a> om gebruikers te helpen beslissen welke Windows Apps ze kunnen verwijderen
8-2=<a>Verbeterd verwijderingsproces</a> van browserextensies
9-2=<a>Betere UI</a> voor een gebruiksvriendelijkere ervaring
10-2=<a>Twee skins:</a> donker en licht
11-2=<a>37 talen beschikbaar</a>
12-1=<a>Volledige ondersteuning Windows 11</a>

[Lan]
1=Nieuw
2=Geimproveerd
3=BUG opgelos